using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using ZSMusic.Model;

namespace ZSMusic.IDAL
{
   public interface IUser
    {
       bool Exists(string id);
       User GetModelById(string id);
       bool Add(User u);
       bool Regist(string id, string name = "", long balance = 50000);
       bool Delete(string id);
       bool Update(User u);
       bool Pay(string key,long cost);
       DataTable Quary(string cdn=null);
    }
}
